// This is the test file for the library, different tests are ran in here.
import {Rule34xxx} from "./module/rule34xxx";
import {Post} from "./type/generic";

( async () => {
    // Initialize the rule34 module
    const r34: Rule34xxx = new Rule34xxx();
    r34.verbose = true;
    
    // Run the get post Details function
    let postDetails: Array<string>;
    await r34.crawlPages(`https://rule34.xxx/index.php?page=post&s=list&tags=thelorope`, 35)
    .then(  postData => {
        postDetails = postData;
    })
    .catch( err => { 
        console.log(err); 
    });

    // Display results
    console.log({
        logs: r34.logs, 
        result: postDetails
    });
})();

